| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IOLink.Matrix3f Class Reference

An arithmetic square matrix. More...

Inheritance diagram for IOLink.Matrix3f:

## Public Member Functions
| Matrix3f (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
| Matrix3f (params float[] init)
override bool | Equals (object obj)
| Matrix3f ()
| Default constructor. Object will have indeterminate values.
float | At (uint row, uint column)
| Access an element of the matrix.
void | SetAt (uint row, uint column, float value)
| Set an element of the matrix.
void | TransposeInPlace ()
| Transpose the matrix in place.
Matrix3f | Transpose ()
| Return the transposed matrix.
Matrix3f | Inverse ()
string | ToString ()
| Return a string representation of the matrix.

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (Matrix3f obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (Matrix3f obj)
static bool | operator== (Matrix3f m1, Matrix3f m2)
static bool | operator!= (Matrix3f m1, Matrix3f m2)
static Matrix3f | operator+ (Matrix3f m1, Matrix3f m2)
static Matrix3f | operator- (Matrix3f m1, Matrix3f m2)
static Matrix3f | operator* (Matrix3f v, float value)
static Matrix3f | operator* (float value, Matrix3f v)
static Matrix3f | operator* (Matrix3f lhs, Matrix3f rhs)
static Vector3f | operator* (Matrix3f lhs, Vector3f rhs)
static Matrix3f | operator/ (Matrix3f v, float value)
static Matrix3f | Identity ()
| Return an identity matrix.
static Matrix3f | Uniform (float value)
| Initialize an uniform matrix with an unique value.

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Detailed Description

An arithmetic square matrix.

Do not use this class directly, only uses its aliases.

## Member Function Documentation

## ◆ At()

float IOLink.Matrix3f.At | ( | uint | row,
|  | uint | column
| ) |  |
| inline

Access an element of the matrix.

Parameters

  column | The column of the element
  row | The row of the element

## ◆ Inverse()

Matrix3f IOLink.Matrix3f.Inverse | ( |  | ) |
| inline

Return the inverse matrix.

Calling this method on a non-invertable matrix will cause undefined behaviour.

## ◆ SetAt()

void IOLink.Matrix3f.SetAt | ( | uint | row,
|  | uint | column,
|  | float | value
| ) |  |
| inline

Set an element of the matrix.

Parameters

  column | The column of the element
  row | The row of the element
  value | The value to assign to the element

## ◆ Uniform()

static Matrix3f IOLink.Matrix3f.Uniform | ( | float | value | ) |
| inline static

Initialize an uniform matrix with an unique value.

Parameters

  value | The value to assign to each element of the matrix

The documentation for this class was generated from the following file:

- Release/net/generated/Matrix3f.cs